//---
// fxos.passes.print: Print disassembly
//---

#include <fxos/disassembly.h>

namespace FxOS {

PrintPass::PrintPass(Disassembly &disasm):
	DisassemblyPass(disasm)
{
}

void PrintPass::analyze(uint32_t pc, ConcreteInstruction &ci)
{
	std::cout << ci.inst.mnemonic << "\n";
	enqueue_next(pc);
}

} /* namespace FxOS */
